package com.ruoyi.powerdistribution.service.impl;

import java.util.List;

import com.ruoyi.powerdistribution.domain.vo.PdmBranchLineComplete;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.powerdistribution.mapper.PdmBranchLineMapper;
import com.ruoyi.powerdistribution.domain.PdmBranchLine;
import com.ruoyi.powerdistribution.service.IPdmBranchLineService;

/**
 * 可靠性分支线Service业务层处理
 *
 * @author ruoyi
 * @date 2024-12-24
 */
@Service
public class PdmBranchLineServiceImpl implements IPdmBranchLineService
{
    @Autowired
    private PdmBranchLineMapper pdmBranchLineMapper;

    /**
     * 查询可靠性分支线
     *
     * @param id 可靠性分支线主键
     * @return 可靠性分支线
     */
    @Override
    public PdmBranchLine selectPdmBranchLineById(Long id)
    {
        return pdmBranchLineMapper.selectPdmBranchLineById(id);
    }

    /**
     * 查询可靠性分支线列表
     *
     * @param pdmBranchLine 可靠性分支线
     * @return 可靠性分支线
     */
    @Override
    public List<PdmBranchLine> selectPdmBranchLineList(PdmBranchLine pdmBranchLine)
    {
        return pdmBranchLineMapper.selectPdmBranchLineList(pdmBranchLine);
    }

    /**
     * 新增可靠性分支线
     *
     * @param pdmBranchLine 可靠性分支线
     * @return 结果
     */
    @Override
    public int insertPdmBranchLine(PdmBranchLine pdmBranchLine)
    {
        return pdmBranchLineMapper.insertPdmBranchLine(pdmBranchLine);
    }

    /**
     * 修改可靠性分支线
     *
     * @param pdmBranchLine 可靠性分支线
     * @return 结果
     */
    @Override
    public int updatePdmBranchLine(PdmBranchLine pdmBranchLine)
    {
        return pdmBranchLineMapper.updatePdmBranchLine(pdmBranchLine);
    }

    /**
     * 批量删除可靠性分支线
     *
     * @param ids 需要删除的可靠性分支线主键
     * @return 结果
     */
    @Override
    public int deletePdmBranchLineByIds(Long[] ids)
    {
        return pdmBranchLineMapper.deletePdmBranchLineByIds(ids);
    }

    /**
     * 删除可靠性分支线信息
     *
     * @param id 可靠性分支线主键
     * @return 结果
     */
    @Override
    public int deletePdmBranchLineById(Long id)
    {
        return pdmBranchLineMapper.deletePdmBranchLineById(id);
    }

    @Override
    public List<PdmBranchLineComplete> selectBranchLineCompleteList(PdmBranchLineComplete complete) {
        return pdmBranchLineMapper.selectBranchLineCompleteList(complete);
    }
}
